Subject: Re: bug#48024: glib-2.62.6 build fails i686

From: Efraim Flashner <[email-masked]>
Date: Wed, 5 May 2021 11:38:02 +0300

On Tue, May 04, 2021 at 04:01:54PM -0400, Mark H Weaver wrote:
> Hi Efraim,
> 
> Efraim Flashner <[email-masked]> writes:
> > In glib-2.68 test_timeout and test_timeout_slow are set to 60 and 180
> > respectively.
> 
> Right.  Unfortunately, these timeouts are too short for many slower
> machines, such as 32-bit ARM systems.  Bone Baboon has also recently
> reported being unable to build 'glib' on a 32-bit i686 system due to
> these timeouts, even when making extreme efforts to reduce load from
> other processes.
> 
> > As I understand it, the tests which are are tagged '+slow' get the
> > test_timeout_slow property, with the test taking the longest on that
> > machine was glib:glib+slow / gvariant, at 65 seconds. By comparison, on
> > my Ryzen 3900XT machine it took 2.58 seconds. I figured even at double
> > that time it still fell within the 180 seconds given by default in the
> > test suite so it was likely safe to remove the substitution entirely.
> 
> I think that this recently-reported bug (<https://bugs.gnu.org/48024>)
> demonstrates that we can't safely remove the substitution.
> 
> I think that we should re-introduce the 'increase-test-timeout' phase
> for all systems on the 'core-updates' branch.  Is there a disadvantage,
> besides having to wait a couple more minutes if a test fails to
> terminate?
> 
> What do you think?
> 
>       Regards,
>         Mark

I looked closer at the bug report and I see they are timing out at 60
and 180 for Bone Baboon as they currently are.

Bone Baboon: Can you build the attached test-glib.scm file and send back
the build log? I want to make sure I change the timeout to something
long enough.

You can build it with 'guix build -f test-glib.scm'

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted